## texlive-lang 2012.20120611

=== texmf-dist/doc/fonts/amiri/Makefile ===
.PHONY: all clean ttf web pack check

NAME=amiri
VERSION=0.103

TOOLS=tools
SRC=sources
WEB=web
DOC=documentation
TESTS=test-suite
FONTS=$(NAME)-regular $(NAME)-bold $(NAME)-slanted $(NAME)-boldslanted
DOCS=README README-Arabic NEWS NEWS-Arabic
DIST=$(NAME)-$(VERSION)

BUILD=$(TOOLS)/build.py
RUNTEST=$(TOOLS)/runtest.py
FF=python $(BUILD)
SFNTTOOL=sfnttool

SFDS=$(FONTS:%=$(SRC)/%.sfd)
DTTF=$(FONTS:%=%.ttf)
WTTF=$(FONTS:%=$(WEB)/%.ttf)
WOFF=$(FONTS:%=$(WEB)/%.woff)
EOTS=$(FONTS:%=$(WEB)/%.eot)
PDFS=$(DOC)/$(NAME)-table.pdf
CSSS=$(WEB)/$(NAME).css
FEAT=$(wildcard $(SRC)/*.fea)
TEST=$(wildcard $(TESTS)/*.test)
TEST+=$(wildcard $(TESTS)/*.ptest)

DOCFILES=$(DOCS:%=$(DOC)/%.txt)
license=OFL.txt OFL-FAQ.txt

all: ttf web

ttf: $(DTTF)
web: $(WTTF) $(WOFF) $(EOTS) $(CSSS)
doc: $(PDFS)

$(NAME)-regular.ttf: $(SRC)/$(NAME)-regular.sfd $(SRC)/$(NAME)-regular.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION)

$(NAME)-slanted.ttf: $(SRC)/$(NAME)-regular.sfd $(SRC)/$(NAME)-regular.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION) --slant=7

$(NAME)-bold.ttf: $(SRC)/$(NAME)-bold.sfd $(SRC)/$(NAME)-bold.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION)

$(NAME)-boldslanted.ttf: $(SRC)/$(NAME)-bold.sfd $(SRC)/$(NAME)-bold.fea $(FEAT) $(BUILD)
	@echo "   FF\t$@"
	@$(FF) --input $< --output $@ --version $(VERSION) --slant=7

$(WEB)/%.ttf: %.ttf $(BUILD)
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(FF) --input $< --output $@ --web 1>/dev/null 2>&1

$(WEB)/%.woff: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(SFNTTOOL) -w $< $@

$(WEB)/%.eot: $(WEB)/%.ttf
	@echo "   FF\t$@"
	@mkdir -p $(WEB)
	@$(SFNTTOOL) -e -x $< $@

$(WEB)/%.css: $(WTTF) $(BUILD)
	@echo "   GEN\t$@"
	@mkdir -p $(WEB)
	@$(FF) --css --input "$(WTTF)" --output $@ --version $(VERSION)

$(DOC)/$(NAME)-table.pdf: $(NAME)-regular.ttf
	@echo "   GEN\t$@"
	@mkdir -p $(DOC)
	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
	@pdfoutline $@.tmp $@.txt $@
	@rm -f $@.tmp $@.txt

check: $(TEST) $(DTTF)
ifeq ($(shell which hb-shape),)
	@echo "hb-shape not found, skipping tests"
else
	@echo "running tests"
	@$(RUNTEST) $(TEST)
endif

clean:
	rm -rfv $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS) $(PDFS)

=== texmf-dist/doc/latex/disser/Makefile ===
#
# Makefile for disser package
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET := disser
BST := gost705
MAINDTX := $(TARGET) $(BST) gost732
MANUAL := manual

CLSFILES := *.cls *.rtx
BSTFILES := gost705.bst gost705s.bst
CSFFILES := *.csf
DOCFILES := $(addsuffix .pdf, $(MAINDTX) $(MANUAL))
TEXTFILES := ../README ../README.ru ../ChangeLog
SRCFILES := *.dtx $(TARGET).ins dtx.ist $(MANUAL).tex Makefile \
  nomake.cmd

TEXMF ?= /usr/share/texmf
DESTDIR ?= $(TEXMF)
CLSDIR ?= $(DESTDIR)/tex/latex/$(TARGET)
DOCDIR ?= $(DESTDIR)/doc/latex/$(TARGET)
BSTDIR ?= $(DESTDIR)/bibtex/bst/$(TARGET)
CSFDIR ?= $(DESTDIR)/bibtex/csf/$(TARGET)
SRCDIR ?= $(DESTDIR)/source/latex/$(TARGET)

CLEXT ?= *.aux *.toc *.idx *.ind *.ilg *.log *.out *.lof *.lot *.lol \
  *.bbl *.blg *.bak *.dvi *.ps *.pdf
CLFILES ?= $(CLEXT) $(CLSFILES) $(BSTFILES)

LATEX ?= latex
PDFLATEX ?= pdflatex
MI ?= makeindex

LATEXFLAGS ?= --src-specials
PDFLATEXFLAGS ?= --shell-escape
MIFLAGS ?= -r -s dtx.ist


all: package doc

package: $(TARGET).cls

doc: pdf

dvi: $(addsuffix .dvi, $(MAINDTX) $(MANUAL))

pdf: $(DOCFILES)

clean:
	-rm -f $(CLFILES)

install: all
	mkdir -p $(CLSDIR) ;\
	mkdir -p $(BSTDIR) ;\
	mkdir -p $(CSFDIR) ;\
	mkdir -p $(DOCDIR) ;\
	mkdir -p $(SRCDIR) ;\
	cp $(CLSFILES)  $(CLSDIR) ;\
	cp $(BSTFILES)  $(BSTDIR) ;\
	cp $(CSFFILES)  $(CSFDIR) ;\
	cp $(DOCFILES)  $(DOCDIR) ;\
	cp $(TEXTFILES) $(DOCDIR) ;\
	cp $(SRCFILES)  $(SRCDIR)

uninstall:
	-rm $(addprefix $(CLSDIR)/, $(CLSFILES))
	-rm $(addprefix $(BSTDIR)/, $(BSTFILES))
	-rm $(addprefix $(CSFDIR)/, $(CSFFILES))
	-rm $(addprefix $(DOCDIR)/, $(DOCFILES))
	-rm $(addprefix $(DOCDIR)/, $(notdir $(TEXTFILES)))
	-rm $(addprefix $(SRCDIR)/, $(SRCFILES))
	-rmdir $(CLSDIR)
	-rmdir $(BSTDIR)
	-rmdir $(CSFDIR)
	-rmdir $(DOCDIR)
	-rmdir $(SRCDIR)

reinstall: uninstall install

$(TARGET).dvi: $(TARGET).dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(TARGET)
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

$(TARGET).pdf: $(TARGET).dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(TARGET)
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

$(BST).dvi: $(BST).dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(BST)
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

$(BST).pdf: $(BST).dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(MI) $(MIFLAGS) $(BST)
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

%.cls: %.ins
	$(LATEX) $^

%.dvi: %.dtx
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

%.dvi: %.tex
	$(LATEX) $(LATEXFLAGS) $<
	$(LATEX) $(LATEXFLAGS) $<

%.pdf: %.dtx
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

%.pdf: %.tex
	$(PDFLATEX) $(PDFLATEXFLAGS) $<
	$(PDFLATEX) $(PDFLATEXFLAGS) $<

help:
	@echo "  all        (default) build package and documentation" ;\
	 echo "  clean      remove output files" ;\
	 echo "  doc        alias for pdf target" ;\
	 echo "  dvi        build documentation in DVI format" ;\
	 echo "  help       show description of targets" ;\
	 echo "  install    install package and documentation" ;\
	 echo "  package    build package" ;\
	 echo "  pdf        build documentation in PDF format" ;\
	 echo "  reinstall  reinstall package and documentation" ;\
	 echo "  uninstall  uninstall package and documentation"

=== texmf-dist/source/fonts/uptex/Makefile ===
MAKEJVF =  makejvf
TFTOPL  = uptftopl -kanji=utf8
PLTOTF  = uppltotf -kanji=uptex
MAKEJVFG3 = $(MAKEJVF) -i -u gb -3
MAKEJVFC3 = $(MAKEJVF) -i -u cns -3
MAKEJVFJ3 = $(MAKEJVF) -i -u jis -3
MAKEJVFK  = $(MAKEJVF) -i -u ks
MAKEJVFJ  = $(MAKEJVF) -i -u jis
MAKEJVFJQ = $(MAKEJVF) -i -u jisq

all: tfm vf pstfm

pl:
	$(TFTOPL) `kpsewhich jis.tfm` jis.pl
	perl -s -n -C makepl.perl jis.pl > upjisr-h.pl
	perl -s -n -C makepl.perl -hk jis.pl > upjisr-h-hk.pl
	$(TFTOPL) `kpsewhich jis-v.tfm` jis-v.pl
	perl -s -n -C makepl.perl jis-v.pl > upjisr-v.pl

tfm:
	for fnt in upjisr upjisg upjpnrm upjpngt ; do \
		$(PLTOTF) upjisr-h-hk.pl $$fnt-h.tfm ; \
	done ; \
	for fnt in upjisr upjisg upjpnrm upjpngt ; do \
		$(PLTOTF) upjisr-v.pl $$fnt-v.tfm ; \
	done ; \
	for hv in h v ; do \
	for fnt in upkorrm upkorgt upschrm upschgt uptchrm uptchgt ; do \
		$(PLTOTF) upjisr-$$hv.pl $$fnt-$$hv.tfm ; \
	done ; \
	done
	for fnt in upjisr-hq upjisg-hq ; do \
		$(PLTOTF) upjisr-h.pl $$fnt.tfm ; \
	done

pstfm:
	for fnt in uprml upgbm ; do \
		$(PLTOTF) uprml-h-hk.pl $$fnt-h.tfm ; \
	done
	for fnt in uphysmjm uphygt upstsl upstht upmsl upmhm ; do \
		$(PLTOTF) uprml-h.pl $$fnt-h.tfm ; \
	done
	for fnt in uprml upgbm ; do \
		$(PLTOTF) uprml-h.pl $$fnt-hq.tfm ; \
	done

vf:
	$(MAKEJVFJ) -H -U upjisr-hq upjisr-h.tfm uprml-h
	$(MAKEJVFJ) -H -U upjisg-hq upjisg-h.tfm upgbm-h
	$(MAKEJVFJ) upjisr-v.tfm uprml-v
	$(MAKEJVFJ) upjisg-v.tfm upgbm-v
	$(MAKEJVFJQ) upjisr-hq.tfm uprml-hq
	$(MAKEJVFJQ) upjisg-hq.tfm upgbm-hq
	$(MAKEJVFJ3) -H -U upjisr-hq upjpnrm-h.tfm uprml-h
	$(MAKEJVFJ3) -H -U upjisg-hq upjpngt-h.tfm upgbm-h
	$(MAKEJVFJ3) upjpnrm-v.tfm uprml-v
	$(MAKEJVFJ3) upjpngt-v.tfm upgbm-v
	$(MAKEJVFK) upkorrm-h.tfm uphysmjm-h
	$(MAKEJVFK) upkorgt-h.tfm uphygt-h
	$(MAKEJVFK) upkorrm-v.tfm uphysmjm-v
	$(MAKEJVFK) upkorgt-v.tfm uphygt-v
	$(MAKEJVFG3) upschrm-h.tfm upstsl-h
	$(MAKEJVFG3) upschgt-h.tfm upstht-h
	$(MAKEJVFG3) upschrm-v.tfm upstsl-v
	$(MAKEJVFG3) upschgt-v.tfm upstht-v
	$(MAKEJVFC3) uptchrm-h.tfm upmsl-h
	$(MAKEJVFC3) uptchgt-h.tfm upmhm-h
	$(MAKEJVFC3) uptchrm-v.tfm upmsl-v
	$(MAKEJVFC3) uptchgt-v.tfm upmhm-v

move:
	mkdir -pv ../../../tfm/uptex/jis ../../../vf/uptex/jis
	mv -i *.tfm ../../../tfm/uptex/jis
	mv -i *.vf ../../../vf/uptex/jis

=== texmf-dist/doc/latex/disser/templates/Makefile ===
#
# Makefile for documents and templates
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET ?= thesis
TEXMF ?= /usr/share/texmf
DESTDIR ?= $(TEXMF)
DOCDIR ?= $(DESTDIR)/doc/latex/disser

dvi clean figclean bmtoeps epstopdf fixbb pdftopng256 pdftotiffg4 ps ps_2on1 pdf pdf_2on1 html srcdist all allpdf:
	@$(MAKE) -i -C bachelor $@
	@$(MAKE) -i -C specialist $@
	@$(MAKE) -i -C master $@
	@$(MAKE) -i -C candidate $@
	@$(MAKE) -i -C doctor $@

help:
	@$(MAKE) -s -C candidate $@ ;\
	echo "  install      install templates" ;\
	echo "  uninstall    uninstall templates" ;\
	echo "  reinstall    reinstall templates"

install:
	cp -rf ../templates $(DOCDIR) ;\
	cp -rf ../include $(DOCDIR)

uninstall:
	-rm -rf $(DOCDIR)/templates
	-rm -rf $(DOCDIR)/include
	-rmdir $(DOCDIR)

reinstall: uninstall install

=== texmf-dist/doc/uptex/base/samples/Makefile ===
PTEX = ptex
UPTEX = uptex
UPLATEX = uplatex
PLATEX = platex
DVIPS = dvips
DVIPDFMX = dvipdfmx
UPDVITYPE = updvitype
PDVITYPE = pdvitype
UPMPOST = upmpost
DVI2TTYJ = dvi2tty -J
DVI2TTYA = dvi2tty -A
DVI2TTYU = dvi2tty -U
EUPLATEX = euplatex
EPLATEX = platex
CONVBKMK = convbkmk.rb -g
PS2PDF = ps2pdf

all: misc kin widow uptex uplatex aozora adobe encswitch \
 jscman tfpl otf jbib jisuni dvi2tty bkmk consio

misc: misch miscv

misch:
	for f in misc set3; do \
		$(UPLATEX) $$f-check-h-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-h-utf8.tex ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-h-utf8.tex ; \
		$(UPDVITYPE) $$f-check-h-utf8.dvi > $$f-check-h-utf8.pdvitype ; \
		perl check_enc.pl utf8 $$f-check-h-utf8.log $$f-check-h-utf8.aux $$f-check-h-utf8.out $$f-check-h-utf8.pdvitype ; \
		$(DVIPDFMX) $$f-check-h-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvips}\input" $$f-check-h-utf8.tex ; \
		$(DVIPS) $$f-check-h-utf8 ; \
		$(CONVBKMK) $$f-check-h-utf8.ps ; \
	done

miscv:
	for f in misc ; do \
		$(UPLATEX) $$f-check-v-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-v-utf8.tex ; \
		$(UPLATEX) "\def\withhyperref{dvipdfmx}\input" $$f-check-v-utf8.tex ; \
		$(UPDVITYPE) $$f-check-v-utf8.dvi > $$f-check-v-utf8.pdvitype ; \
		perl check_enc.pl utf8 $$f-check-v-utf8.log $$f-check-v-utf8.aux $$f-check-v-utf8.out $$f-check-v-utf8.pdvitype ; \
		$(DVIPDFMX) -l $$f-check-v-utf8 ; \
		$(UPLATEX) "\def\withhyperref{dvips}\input" $$f-check-v-utf8.tex ; \
		$(DVIPS) -t landscape $$f-check-v-utf8 ; \
		$(CONVBKMK) $$f-check-v-utf8.ps ; \
	done

kin:
	$(UPLATEX) kinsoku-chk-utf8
	$(DVIPDFMX) kinsoku-chk-utf8
	$(DVIPS) kinsoku-chk-utf8

widow:
	platex widow
	mv widow.dvi widow-platex.dvi
	$(DVIPDFMX) widow-platex.dvi
	uplatex-euc --kanji-internal=euc widow
	mv widow.dvi widow-u-euc.dvi
	$(DVIPDFMX) widow-u-euc.dvi
	uplatex widow
	mv widow.dvi widow-u-uptex.dvi
	$(DVIPDFMX) widow-u-uptex.dvi

uptex:
	$(UPTEX) sangoku-uptex
	$(DVIPDFMX) sangoku-uptex
	$(DVIPS) sangoku-uptex

uplatex:
	$(UPLATEX) sangoku-uplatex
	$(DVIPDFMX) sangoku-uplatex
	$(DVIPS) sangoku-uplatex

aozora:
	for cls in ujarticle ujreport ujbook utarticle utreport utbook; do \
		$(UPLATEX) aozora-$$cls-utf8 ; \
		$(DVIPDFMX) aozora-$$cls-utf8 ; \
		$(DVIPS) aozora-$$cls-utf8 ; \
	done

adobe: adobeu adobec

adobeu:
	for cjk in jp kr gb cns; do \
		$(UPTEX) adobe-$$cjk-utf8 ; \
		$(DVIPDFMX) adobe-$$cjk-utf8 ; \
		$(DVIPS) adobe-$$cjk-utf8 ; \
	done

# It requires japanese-otf package.
adobec:
	for cjk in jp kr gb cns; do \
		$(UPLATEX) "\def\adobe{$$cjk}\input" adobe-cid ; \
		mv adobe-cid.dvi adobe-$$cjk-mc-cid.dvi ; \
		$(DVIPDFMX) adobe-$$cjk-mc-cid ; \
		$(DVIPS) adobe-$$cjk-mc-cid ; \
	done
	for cjk in jp kr cns; do \
		$(UPLATEX) "\def\adobe{$$cjk}\def\family{gt}\input" adobe-cid ; \
		mv adobe-cid.dvi adobe-$$cjk-gt-cid.dvi ; \
		$(DVIPDFMX) adobe-$$cjk-gt-cid ; \
		$(DVIPS) adobe-$$cjk-gt-cid ; \
	done

babel:
	$(UPLATEX) cjk_babel
	$(DVIPDFMX) cjk_babel
	$(DVIPS) cjk_babel

# It requires unicode package (utf.sty etc.).
greek:
	$(UPLATEX) greek-uplatex
	$(DVIPDFMX) greek-uplatex
	$(DVIPS) greek-uplatex

encswitch: encswitchj encswitchp encswitchu

encswitchj:
	for ie in euc sjis; do \
		uptex -kanji=$$ie --kanji-internal=$$ie -fmt=uplatex-$$ie simple-jis.tex ; \
		perl check_enc.pl $$ie simple-jis.log simple-jis.aux || exit ; \
		mv simple-jis.dvi simple-jis0-$$ie.dvi ; \
		mv simple-jis.log simple-jis0-$$ie.log ; \
		mv simple-jis.aux simple-jis0-$$ie.aux ; \
		$(DVIPDFMX) simple-jis0-$$ie.dvi ; \
	for fe in jis euc sjis utf8; do \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie simple-$$fe.tex ; \
		perl check_enc.pl $$fe simple-$$fe.log simple-$$fe.aux || exit ; \
		mv simple-$$fe.dvi simple-$$fe-$$ie.dvi ; \
		mv simple-$$fe.log simple-$$fe-$$ie.log ; \
		mv simple-$$fe.aux simple-$$fe-$$ie.aux ; \
		$(DVIPDFMX) simple-$$fe-$$ie.dvi ; \
		$(UPDVITYPE) -kanji=$$fe simple-$$fe-$$ie.dvi > simple-$$fe-$$ie.pdvitype ; \
		perl check_enc.pl $$fe simple-$$fe-$$ie.pdvitype || exit ; \
	done ; \
	done

encswitchp:
	for fe in jis euc sjis utf8; do \
		$(PLATEX) -kanji=$$fe simple-$$fe.tex ; \
		perl check_enc.pl $$fe simple-$$fe.log simple-$$fe.aux || exit ; \
		mv simple-$$fe.dvi simple-$$fe-platex.dvi ; \
		mv simple-$$fe.log simple-$$fe-platex.log ; \
		mv simple-$$fe.aux simple-$$fe-platex.aux ; \
		$(DVIPDFMX) simple-$$fe-platex.dvi ; \
		$(PDVITYPE) -kanji=$$fe simple-$$fe-platex.dvi > simple-$$fe-platex.pdvitype ; \
		perl check_enc.pl $$fe simple-$$fe-platex.pdvitype || exit ; \
	done ; \

encswitchu:
	for ie in uptex; do \
	for fe in jis utf8; do \
		uplatex -kanji=utf8 --kanji-internal=$$ie simple-u-$$fe.tex ; \
		perl check_enc.pl $$ie simple-u-$$fe.log simple-u-$$fe.aux || exit ; \
		mv simple-u-$$fe.dvi simple-u-$$fe-$$ie.dvi ; \
		mv simple-u-$$fe.log simple-u-$$fe-$$ie.log ; \
		mv simple-u-$$fe.aux simple-u-$$fe-$$ie.aux ; \
		$(DVIPDFMX) simple-u-$$fe-$$ie.dvi ; \
		$(UPDVITYPE) simple-u-$$fe-$$ie.dvi > simple-u-$$fe-$$ie.pdvitype ; \
		perl check_enc.pl utf8 simple-u-$$fe-$$ie.pdvitype || exit ; \
	done ; \
	done

dvi2tty: dvi2ttyp dvi2ttyu

dvi2ttyp: encswitchp
	for fe in j e s u; do \
		$(DVI2TTYJ) -w 62 -o simple-jis-platex-$$fe-j.dvi2tty -E $$fe simple-jis-platex.dvi ; \
		perl check_enc.pl $$fe simple-jis-platex-$$fe-j.dvi2tty || exit ; \
		$(DVI2TTYA) -w 62 -o simple-jis-platex-$$fe-a.dvi2tty -E $$fe simple-jis-platex.dvi ; \
		perl check_enc.pl $$fe simple-jis-platex-$$fe-a.dvi2tty || exit ; \
		diff simple-jis-platex-$$fe-j.dvi2tty simple-jis-platex-$$fe-a.dvi2tty || exit ; \
	done

dvi2ttyu: encswitchu
	for fe in j e s u; do \
		$(DVI2TTYJ) -w 62 -o simple-u-jis-uptex-$$fe-j.dvi2tty -E $$fe simple-u-jis-uptex.dvi ; \
		perl check_enc.pl $$fe simple-u-jis-uptex-$$fe-j.dvi2tty || exit ; \
		$(DVI2TTYU) -w 62 -o simple-u-jis-uptex-$$fe-u.dvi2tty -E $$fe simple-u-jis-uptex.dvi ; \
		perl check_enc.pl $$fe simple-u-jis-uptex-$$fe-u.dvi2tty || exit ; \
		diff simple-u-jis-uptex-$$fe-j.dvi2tty simple-u-jis-uptex-$$fe-u.dvi2tty || exit ; \
	done

jbib: jbibj jbibu

jbibj:
	for ie in euc ; do \
	for be in euc uptex; do \
	for fe in jis euc sjis utf8; do \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie jbib1-jis.tex ; \
		upbibtex -kanji=$$fe --kanji-internal=$$be jbib1-jis ; \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie jbib1-jis.tex ; \
		uptex -kanji=$$fe --kanji-internal=$$ie -fmt=uplatex-$$ie jbib1-jis.tex ; \
		perl check_enc.pl $$fe jbib1-jis.aux jbib1-jis.bbl || exit ; \
		mv jbib1-jis.dvi jbib1-$$fe-$$be.dvi ; \
		mv jbib1-jis.log jbib1-$$fe-$$be.log ; \
		mv jbib1-jis.aux jbib1-$$fe-$$be.aux ; \
		mv jbib1-jis.bbl jbib1-$$fe-$$be.bbl ; \
		mv jbib1-jis.blg jbib1-$$fe-$$be.blg ; \
		$(DVIPDFMX) jbib1-$$fe-$$be.dvi ; \
	done ; \
	done ; \
	done

jbibu:
	for ie in uptex; do \
	for be in uptex; do \
	for fe in utf8; do \
		uplatex -kanji=$$fe --kanji-internal=$$ie jbib2-utf8.tex ; \
		upbibtex -kanji=$$fe --kanji-internal=$$be jbib2-utf8 ; \
		uplatex -kanji=$$fe --kanji-internal=$$ie jbib2-utf8.tex ; \
		uplatex -kanji=$$fe --kanji-internal=$$ie jbib2-utf8.tex ; \
		perl check_enc.pl $$fe jbib2-utf8.aux jbib2-utf8.bbl || exit ; \
		mv jbib2-utf8.dvi jbib2-$$fe-$$be.dvi ; \
		mv jbib2-utf8.log jbib2-$$fe-$$be.log ; \
		mv jbib2-utf8.aux jbib2-$$fe-$$be.aux ; \
		mv jbib2-utf8.bbl jbib2-$$fe-$$be.bbl ; \
		mv jbib2-utf8.blg jbib2-$$fe-$$be.blg ; \
		$(DVIPDFMX) jbib2-$$fe-$$be.dvi ; \
	done ; \
	done ; \
	done

pmpost: pmpostj pmpostu

pmpostj:
	for fe in jis euc sjis utf8; do \
	for fn in area jstr; do \
		$(UPMPOST) -kanji=$$fe -tex=uplatex-$$fe $$fn-$$fe.mp ; \
		uplatex-$$fe $$fn-$$fe-incl.tex ; \
		$(DVIPS) $$fn-$$fe-incl.dvi ; \
		$(DVIPDFMX) $$fn-$$fe-incl.dvi ; \
	done ; \
		perl check_enc.pl $$fe area-$$fe.mpx || exit ; \
	done

pmpostu:
	for fe in uptex; do \
	for fn in area jstr; do \
		$(UPMPOST) -kanji=$$fe -tex=uplatex $$fn-$$fe.mp ; \
		uplatex $$fn-$$fe-incl.tex ; \
		$(DVIPS) $$fn-$$fe-incl.dvi ; \
		$(DVIPDFMX) $$fn-$$fe-incl.dvi ; \
	done ; \
		perl check_enc.pl $$fe area-$$fe.mpx || exit ; \
	done

# It requires jsclasses.
jsclasses: jscman jscfonts

jsclasses-uplatex.dtx:
	cat `kpsewhich jsclasses.dtx` | \
	sed -e "s/documentclass{jsarticle}/documentclass[uplatex]{jsarticle}/" -e "s/jsclasses.dtx/jsclasses-uplatex.dtx/" > jsclasses-uplatex.dtx

jscman: jsclasses-uplatex.dtx
	$(UPLATEX) jsclasses-uplatex.dtx
	$(DVIPDFMX) jsclasses-uplatex
	$(DVIPS) jsclasses-uplatex

jscfonts:
	for fn in mingoth jis default; do \
		$(UPLATEX) "\def\option{$$fn}\input" yaku-jsc-utf8 ; \
		mv yaku-jsc-utf8.dvi yaku-jsc-$$fn-utf8.dvi ; \
		$(DVIPDFMX) yaku-jsc-$$fn-utf8.dvi ; \
	done
	for fn in mingoth jis default; do \
		$(PLATEX) "\def\option{$$fn}\input" yaku-jsc-jis ; \
		mv yaku-jsc-jis.dvi yaku-jsc-$$fn-jis.dvi ; \
		$(DVIPDFMX) yaku-jsc-$$fn-jis.dvi ; \
	done

# It requires japanese-otf package.
jisuni:
	$(UPLATEX) jis_uni_variation
	$(DVIPDFMX) jis_uni_variation

tfpl: tfplj tfplu

tfplj:
	ptftopl -charcode-format=octal min10x.tfm min10x-oct.pl
	for fe in jis euc sjis utf8; do \
		ptftopl -kanji=$$fe \
			min10x.tfm min10x-$$fe.pl ; \
		perl check_enc.pl $$fe min10x-$$fe.pl || exit ; \
		ppltotf -kanji=$$fe \
			min10x-$$fe.pl min10x-$$fe.tfm ; \
		diff min10x.tfm min10x-$$fe.tfm || exit ; \
	for ie in jis oct; do \
		ppltotf -kanji=$$fe \
			min10x-$$ie.pl min10x-$$ie-$$fe.tfm ; \
		diff min10x.tfm min10x-$$ie-$$fe.tfm || exit ; \
	done ; \
	done

tfplu:
	uptftopl -charcode-format=octal umin10x.tfm umin10x-oct.pl
	uptftopl umin10x.tfm umin10x-utf8.pl
	perl check_enc.pl utf8 umin10x-utf8.pl
	nkf -j umin10x-utf8.pl > umin10x-jis.pl
	for fe in uptex; do \
	for ie in jis oct utf8; do \
		uppltotf -kanji=$$fe \
			umin10x-$$ie.pl umin10x-$$ie-$$fe.tfm ; \
		diff umin10x.tfm umin10x-$$ie-$$fe.tfm || exit ; \
	done ; \
	done

utfotf: utf otf

# It requires utf package by psitau-san.
utf: utf_sample

utf_sample: 
	$(UPLATEX) utfsmpl-uplatex
	$(DVIPDFMX) utfsmpl-uplatex
	$(DVIPS) utfsmpl-uplatex

# It requires japanese-otf package by psitau-san.
otf: otf_sample otf_uplatex otf_platex

otf_sample:
	$(UPLATEX) otfsmpl-uplatex
	$(DVIPDFMX) otfsmpl-uplatex
	$(DVIPS) otfsmpl-uplatex

otf_uplatex:
	for opt in default deluxe expert bold noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{ujarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-h-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\class{utarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-v-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-uplatex.dvi ; \
	done

otf_platex:
	for opt in default deluxe expert bold noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{jarticle}\input" uotftest.tex ; \
		mv uotftest.dvi uotftest-$$opt-h-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\class{tarticle}\input" uotftest.tex ; \
		mv uotftest.dvi uotftest-$$opt-v-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-platex.dvi ; \
	done

# It requires ruby.
bkmk: bkmk_jis bkmk_utf8

bkmk_jis:
	for en in jis ; do \
	for up in platex uplatex-sjis uplatex-euc uplatex; do \
		rm bkmk-$$en.aux bkmk-$$en.out ; \
		$$up bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvipdfmx}\input" bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvipdfmx}\input" bkmk-$$en.tex ; \
		mv bkmk-$$en.dvi bkmk-$$en-pd-$$up.dvi ; \
		$(DVIPDFMX) bkmk-$$en-pd-$$up.dvi ; \
		$$up "\def\withhyperref{dvips}\input" bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvips}\input" bkmk-$$en.tex ; \
		mv bkmk-$$en.dvi bkmk-$$en-ps-$$up.dvi ; \
		$(DVIPS) bkmk-$$en-ps-$$up.dvi ; \
		$(CONVBKMK) bkmk-$$en-ps-$$up.ps ; \
		$(PS2PDF) bkmk-$$en-ps-$$up-convbkmk.ps ; \
	done \
	done

bkmk_utf8:
	for en in utf8; do \
	for up in uplatex-utf8 uplatex; do \
		rm bkmk-$$en.aux bkmk-$$en.out ; \
		$$up bkmk-$$en.tex ; \
		$$up "\def\withhyperref{dvipdfmx}\input" bkmk-$$en.tex ; \

=== texmf-dist/source/generic/vntex/tests/Makefile ===
# vntex-3.2
#
# Author: Han The Thanh <hanthethanh@gmx.net>.
# This file is part of vntex.  Public domain.

# The primary site of vntex is:
#
#       http://vntex.sf.net

# This file has been tested with GNU make and Linux only.

# Usage:
# First edit the variables below according to what you have installed.
# 
# Run `make' to produce all files.
#
# Instead, you can
#   run `make testpdf'  to produce all PDF files,
#   run `make testps'   to produce all PS files,
#   run `make samples'  to produce all samples (as PDF),
#   run `make testht'   to produce the HTML files.
# 
# To view the the output files,
#   run `make viewpdf'  to view all PDF files,
#   run `make viewps'   to view all PS files,
#   run `make viewhtml' to view all HTML files.
#   run `make viewsamples' to view all *-sample.pdf files.
#   run `make viewfonts' to view all *-test.pdf files.
#   
# Finally, to remove generated files,
#   run `make clean' to remove all temporary files,
#   run `make distclean' to remove everything except the source files.

# Select a viewer of your choice.  You can add commandline arguments.
VIEWER_PDF  = acroread
VIEWER_PS   = gv -antialias
VIEWER_HTML = firefox

# Set this variable to `false' if you don't have tex4ht installed 
# on your system (look whether the program `htlatex' exists). 
TEX4HT = true

# Comment out the next two lines if you don't have a recent version
# of the Antykwa Torunska font family (antt) with T5 support (look
# whether you have `t5-antt.enc' in your TEXMF tree).
ANTT_TEST   = t5antt-test
ANTT_SAMPLE = t5antt-sample

# Comment out the next two lines if you don't have a recent version
# of Latin Modern (look whether you have `t5-lmr10.tfm' in your TEXMF
# tree).
T5LM_TEST   = t5lm-test
T5LM_SAMPLE = t5lm-sample

# Comment out the next two lines if you don't have a recent version
# of the Iwona font family (look whether you have `iwona.map' 
# in your TEXMF tree).
IWONA_TEST   = t5iwona-test
IWONA_SAMPLE = t5iwona-sample


# Comment out the next two lines if you don't have a recent version
# of the Kurier font family (look whether you have `kurier.map' 
# in your TEXMF tree).
KURIER_TEST   = t5kurier-test
KURIER_SAMPLE = t5kurier-sample


# Comment out the next two lines if you don't have a recent version
# of the Cyklop font family (look whether you have `cyklop.map' 
# in your TEXMF tree).
CYKLOP_TEST   = t5cyklop-test
CYKLOP_SAMPLE = t5cyklop-sample


# Comment out the next two lines if you don't have a recent version
# of the Gentium font family (look whether you have `gentium.map' 
# in your TEXMF tree).
GENTIUM_TEST   = t5gentium-test
GENTIUM_SAMPLE = t5gentium-sample


# Comment out the next two lines if you don't have a recent version
# of the GrotesquVn font family (look whether you have `grotesqvn.map' 
# in your TEXMF tree).
GROTESK_TEST   = grotesqvn-test
GROTESK_SAMPLE = grotesqvn-sample


# Comment out the next two lines if you don't have a recent version
# of the GaramondVn font family (look whether you have `garamondvn.map' 
# in your TEXMF tree).
GARAMOND_TEST   = garamondvn-test
GARAMOND_SAMPLE = garamondvn-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Bonum font family (look whether you have `qbk.map' 
# in your TEXMF tree).
BONUM_TEST     = bonum-test
BONUM_SAMPLE   = bonum-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Termes font family (look whether you have `qpl.map' 
# in your TEXMF tree).
PAGELLA_TEST   = termes-test
PAGELLA_SAMPLE = termes-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Pagella font family (look whether you have `qtm.map' 
# in your TEXMF tree).
TERMES_TEST    = pagella-test
TERMES_SAMPLE  = pagella-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Adventor font family (look whether you have `qag.map' 
# in your TEXMF tree).
ADVENTOR_TEST     = adventor-test
ADVENTOR_SAMPLE   = adventor-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Chorus font family (look whether you have `qzc.map' 
# in your TEXMF tree).
CHORUS_TEST     = chorus-test
CHORUS_SAMPLE   = chorus-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Cursor font family (look whether you have `qcr.map' 
# in your TEXMF tree).
CURSOR_TEST     = cursor-test
CURSOR_SAMPLE   = cursor-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Schola font family (look whether you have `qcs.map' 
# in your TEXMF tree).
SCHOLA_TEST     = schola-test
SCHOLA_SAMPLE   = schola-sample


# Comment out the next two lines if you don't have a recent version
# of the TeXGyre-Heros font family (look whether you have `qhv.map' 
# in your TEXMF tree).
HEROS_TEST     = heros-test
HEROS_SAMPLE   = heros-sample


# Comment out the next two lines if you don't have a recent version
# of the ArevSansVn font family (look whether you have `arevvn.map' 
# in your TEXMF tree).
AREV_TEST       = arevvn-test
AREV_SAMPLE     = arevvn-sample


# Comment out the next two lines if you don't have a recent version
# of the CMBrightVn font family (look whether you have `cmbrightvn.map' 
# in your TEXMF tree).
CMBRIGHT_TEST	= cmbrightvn-test
CMBRIGHT_SAMPLE	= cmbrightvn-sample


# Comment out the next two lines if you don't have a recent version
# of the ClassicoVn font family (look whether you have `classicovn.map' 
# in your TEXMF tree).
CLASSICO_TEST	= classicovn-test
CLASSICO_SAMPLE	= classicovn-sample


# Comment out the next two lines if you don't have a recent version
# of the ConcreteVn font family (look whether you have `concretevn.map' 
# in your TEXMF tree).
CONCRETE_TEST	= concretevn-test
CONCRETE_SAMPLE	= concretevn-sample


# Comment out the next two lines if you don't have a recent version
# of the Vntopia font family (look whether you have `vntopia.map' 
# in your TEXMF tree).
VNTOPIA_TEST	= vntopia-test
VNTOPIA_SAMPLE	= vntopia-sample


# Comment out the next two lines if you don't have a recent version
# of the txttvn font family (look whether you have `txttvn.map' 
# in your TEXMF tree).
TXTT_TEST	= txttvn-test
TXTT_SAMPLE	= txttvn-sample


# Comment out the next two lines if you don't have a recent version
# of the ComicsansVn font family (look whether you have `comicsansvn.map' 
# in your TEXMF tree).
COMIC_TEST	= comicsansvn-test
COMIC_SAMPLE	= comicsansvn-sample


# Comment out the next two lines if you don't have the MS core font
# files like `arial.ttf' or `tahomabd.ttf' installed in your TEXMF
# tree.
MSCORE_TEST   = mscore-test
MSCORE_SAMPLE = mscore-sample

# Comment out the next line if you don't have plnfss installed on your
# system (look whether `plnfss.tex' and `t5cmr.pfd' exists. 
TEST_PLAIN  = test-plain test-plain-tcx


#====================================================#
# There is no need to edit anything below this line. #
#====================================================#


TEXOPTS    = -parse-first-line -recorder
TEX4HTOPTS = "html,uni-html4,charset=utf8" " -cunihtf -utf8"
FONTMEM    = env font_mem_size=1200000

PDFLATEX = pdflatex $(TEXOPTS)
LATEX    = latex $(TEXOPTS)
PDFTEX   = pdftex $(TEXOPTS)
TEX      = tex $(TEXOPTS)
DVIPS    = dvips


TEST_LATEX     = test-vietnam test-babel

TEST_LATEX_ALL = $(TEST_LATEX) test-vietnam-tcx

REFERENCES     = vnr-test urwvn-test chartervn-test \
		 $(ANTT_TEST) $(T5LM_TEST) \
		 $(IWONA_TEST) $(KURIER_TEST) $(CYKLOP_TEST) \
		 $(GROTESK_TEST) $(GARAMOND_TEST) \
		 $(AREV_TEST) $(VNTOPIA_TEST) $(CLASSICO_TEST) \
		 $(CMBRIGHT_TEST) $(CONCRETE_TEST) \
		 $(GENTIUM_TEST) $(TXTT_TEST) \
		 $(BONUM_TEST) $(PAGELLA_TEST) $(TERMES_TEST) \
		 $(ADVENTOR_TEST) $(CHORUS_TEST) $(CURSOR_TEST) \
		 $(SCHOLA_TEST) $(HEROS_TEST) \
		 $(MSCORE_TEST) $(COMIC_TEST)

SAMPLES        = vnr-sample urwvn-sample chartervn-sample \
		 $(ANTT_SAMPLE) $(T5LM_SAMPLE) \
		 $(IWONA_SAMPLE) $(KURIER_SAMPLE) $(CYKLOP_SAMPLE) \
		 $(GROTESK_SAMPLE) $(GARAMOND_SAMPLE) \
		 $(AREV_SAMPLE) $(VNTOPIA_SAMPLE) $(CLASSICO_SAMPLE) \
		 $(CMBRIGHT_SAMPLE) $(CONCRETE_SAMPLE) \
		 $(GENTIUM_SAMPLE) $(TXTT_SAMPLE) \
		 $(BONUM_SAMPLE) $(PAGELLA_SAMPLE) $(TERMES_SAMPLE) \
		 $(ADVENTOR_SAMPLE) $(CHORUS_SAMPLE) $(CURSOR_SAMPLE) \
		 $(SCHOLA_SAMPLE) $(HEROS_SAMPLE) \
		 $(MSCORE_SAMPLE) $(COMIC_SAMPLE)


default: testpdf testps samples


vntovn:  test-tcvn.tex test-utf8.tex


test-tcvn.tex: test-viscii.tex
	vntovn viscii tcvn $< > $@


test-utf8.tex: test-viscii.tex
	vntovn viscii utf8 $< > $@


testpdf:
	for f in $(TEST_LATEX_ALL); do \
	   test -f $$f.aux || $(PDFLATEX) $$f.tex; \
	   $(PDFLATEX) $$f.tex; \
	done	
	for f in $(TEST_PLAIN); do \
	   $(PDFTEX) $$f.tex; \
	done


testps:
	for f in $(TEST_LATEX_ALL); do \
	   test -f $$f.aux || $(LATEX) $$f.tex; \
	   $(LATEX) $$f.tex ; $(DVIPS) $$f.dvi -o; \
	done	
	for f in $(TEST_PLAIN); do \
	   $(TEX) $$f.tex ; $(DVIPS) $$f.dvi -o; \
	done


testht:
	   for f in $(TEST_LATEX) $(REFERENCES); do \
	      htlatex $$f.tex $(TEX4HTOPTS); \
	   done


samples:
	for f in $(SAMPLES) ; do \
	    test -f $$f.aux || \
	    $(FONTMEM) $(PDFLATEX) $$f.tex; \
	done
	for f in $(REFERENCES) $(SAMPLES) ; do \
	    $(FONTMEM) $(PDFLATEX) $$f.tex; \
	done


refs:
	for f in $(REFERENCES) ; do \
	    $(FONTMEM) $(PDFLATEX) $$f.tex; \
	done



viewpdf:
	for f in $(TEST_LATEX_ALL) $(TEST_PLAIN); do \
	   (test ! -f $$f.pdf && \
		echo "WARNING: File \"$$f.pdf\" not found.") \
	   	|| $(VIEWER_PDF) $$f.pdf; \
	done


viewps:
	for f in $(TEST_LATEX_ALL) $(TEST_PLAIN); do \
	   (test ! -f $$f.ps && \
		echo "WARNING: File \"$$f.ps\" not found.") \
	   	|| $(VIEWER_PS) $$f.ps; \
	done


viewhtml:
	for f in $(TEST_LATEX) $(REFERENCES); do \
	   (test ! -f $$f.html && \
		echo "WARNING: File \"$$f.html\" not found.") \
		|| $(VIEWER_HTML) file://`pwd`/$$f.html; \
	done


viewsamples:
	for f in $(SAMPLES); do \
	   (test ! -f $$f.pdf && \
		echo "WARNING: File \"$$f.pdf\" not found.") \
		|| $(VIEWER_PDF) $$f.pdf; \
	done


viewfonts:
	for f in $(REFERENCES); do \
	   (test ! -f $$f.pdf && \
		echo "WARNING: File \"$$f.pdf\" not found.") \
		|| $(VIEWER_PDF) $$f.pdf; \
	done

htmldir:
	test -d vntex-html || mkdir vntex-html
	rm -f vntex-html/*
	cp -p *.html *.css vntex-html
	echo '<html><head>' > vntex-html/index.html 
	echo '<title>VnTeX HTML Fonts</title>' >> vntex-html/index.html
	echo '</head>' >> vntex-html/index.html 
	echo '<body><h1>VnTeX HTML Fonts</h1><p>' >> vntex-html/index.html
	for f in $(TEST_LATEX) $(REFERENCES); do \
          echo "<a href=\"$$f.html\">$$f</a><p>" >> vntex-html/index.html; \
	done
	echo '</body></html>' >> vntex-html/index.html
	tar -cjvf vntex-html.tar.bz2 vntex-html

clean:
	rm -f *.dvi *.out *.toc *.aux *.log *.4ct *.4tc *.idv *.lg \
              *.tmp *.xref *.fls *.lof


distclean: clean
	rm -f *.pdf *.ps *.css *.html nocompress vntex-html.tar.bz2
	rm -rf vntex-html

=== texmf-dist/doc/fonts/japanese-otf-uptex/test/uplatex/Makefile ===
UPTEX = uptex
PTEX = ptex
UPLATEX = uplatex
PLATEX = platex -kanji=utf8
DVIPS = dvips
DVIPDFMX = dvipdfmx
PDVITYPE = pdvitype

all: uplatex-otf platex-otf uplatex-sp platex-sp uplatex-article platex-article uplatex-brsg platex-brsg

otf: uplatex-otf platex-otf
sp: uplatex-sp platex-sp
art: uplatex-article platex-article
brsg: uplatex-brsg platex-brsg

uplatex-otf:
	for opt in default deluxe expert bold noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{ujarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-h-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\class{utarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-v-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-uplatex.dvi ; \
	done

platex-otf:
	for opt in default deluxe expert bold noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{jarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-h-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\class{tarticle}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-v-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-v-platex.dvi ; \
	done

uplatex-sp:
	for opt in default deluxe expert bold noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{ujarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-h-uplatex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\class{utarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-v-uplatex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-v-uplatex.dvi ; \
	done

platex-sp:
	for opt in default deluxe expert bold noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{jarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-h-platex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\class{tarticle}\input" uotf-sp-utf8.tex ; \
		mv uotf-sp-utf8.dvi uotf-sp-$$opt-v-platex.dvi ; \
		$(DVIPDFMX) uotf-sp-$$opt-v-platex.dvi ; \
	done

uplatex-article:
	for opt in noreplace; do \
		$(UPLATEX) "\def\option{$$opt}\def\class{article}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-a-uplatex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-a-uplatex.dvi ; \
	done

platex-article:
	for opt in noreplace; do \
		$(PLATEX) "\def\option{$$opt}\def\class{article}\input" uotftest-utf8.tex ; \
		mv uotftest-utf8.dvi uotftest-$$opt-a-platex.dvi ; \
		$(DVIPDFMX) uotftest-$$opt-a-platex.dvi ; \
	done

uplatex-brsg:
	for opt in default expert; do \
	for burasage in br oi; do \
		$(UPLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{ujbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-h-uplatex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-h-uplatex.dvi ; \
		$(UPLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{utbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-v-uplatex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-v-uplatex.dvi ; \
	done \
	done

platex-brsg:
	for opt in default expert; do \
	for burasage in br oi; do \
		$(PLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{jbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-h-platex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-h-platex.dvi ; \
		$(PLATEX) "\def\option{$$opt}\def\burasage{$$burasage}\def\class{tbook}\input" upbrsgtest.tex ; \
		mv upbrsgtest.dvi upbrsgtest-$$opt-$$burasage-v-platex.dvi ; \
		$(DVIPDFMX) upbrsgtest-$$opt-$$burasage-v-platex.dvi ; \
	done \
	done

clean:
	rm *.aux *.log *.dvi *.pdf

=== texmf-dist/doc/latex/disser/templates/doctor/Makefile ===
#
# Makefile for documents and templates
# Author: Stanislav Kruchinin <stanislav.kruchinin@gmail.com>
#

TARGET?=thesis


include ../../include/latex.mk

all:
	@env TARGET=thesis $(MAKE) dvi ;\
	 env TARGET=autoref $(MAKE) dvi ;\
	 eval unset TARGET

allpdf:
	@env TARGET=thesis $(MAKE) pdf ;\
	 env TARGET=autoref $(MAKE) pdf ;\
	 eval unset TARGET

help: .help
	@echo "  all          build DVI of autoref and thesis" ;\
	 echo "  allpdf       build PDF of autoref and thesis" ;\

=== debian/changelog ===
texlive-lang (2012.20120611-2) unstable; urgency=low

  * move lgrenc.dfu from doc files to run files (Closes: #678545)
  * update to current updmap-setup-kanji (Closes: #677840)
  * ship updmap-setup-kanji-sys(.sh) script

 -- Norbert Preining <preining@debian.org>  Sun, 24 Jun 2012 15:22:35 +0900

texlive-lang (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:02:00 +0900

texlive-lang (2012.20120529-1) unstable; urgency=low

  * new upstream checkout
  * include pmpost.mp in texlive-lang-cjk (Closes: #673351)

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 19:19:17 +0900

texlive-lang (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * undo changes by the old ptex-bin package in the current postinst of 
    ptex-bin (diversions, files under /etc) (Closes: #670494)
    (thanks to Andreas Beckmann for suggestions and code)
  * switch to xz compression for orig and deb
  * remove uptex tar.gz and uptex tlpobj patch, now included upstream

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:22:14 +0900

texlive-lang (2011.20120509-1) unstable; urgency=low

  * update uptex packages from tlptexlive, uptex 1.10

 -- Norbert Preining <preining@debian.org>  Wed, 02 May 2012 08:23:19 +0900

texlive-lang (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot
  * remove texlive-lang-cyrillic suggests scalable-cyrfonts-tex, as they
    are incompatible and break other fonts in TeX Live
  * texlive-lang-cjk: provide and conflict with ptex-jisfonts (Closes: #669692)

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 08:38:36 +0900

texlive-lang (2011.20120410-1) unstable; urgency=low

  * ptex-* take over: create transitional ptex-bin package that depends on 
    texlive-lang-cjk, try to fix upgrades (Closes: #665479)

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2012 14:09:02 +0900

texlive-lang (2011.20120322-2) unstable; urgency=low

  * add dependency texlive-lang-cjk -> texlive-latex-base (Closes: #666195)

 -- Norbert Preining <preining@debian.org>  Mon, 02 Apr 2012 19:45:54 +0900

texlive-lang (2011.20120322-1) unstable; urgency=low

  * replace otf/ttf fonts with links to the files in the
    respective Debian package, depend on that package
  * rebuild against new tex-common with support for language.dat.lua
  * upload to unstable

  [ Hilmar Preuße ]

  List of fixed bugs in new TeX Live
  * upstream fixed description of some language packages
    (Closes: #613661)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 08:37:44 +0900

texlive-lang (2011.20120314-1) experimental; urgency=low

  * new upstream with proper blacklist handling

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:52:30 +0900

texlive-lang (2011.20120226-1) experimental; urgency=low

  * new upstream, too many changes

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 21:33:21 +0900

texlive-lang (2009-3) unstable; urgency=low

  * texlive-lang-greek: add symlink for mkgrkindex

 -- Norbert Preining <preining@debian.org>  Mon, 21 Dec 2009 23:54:37 +0900

texlive-lang (2009-2) unstable; urgency=low

  * first upload to unstable
  * move the man page links from texlive-binaries to texlive-lang-czechslovak

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:03:29 +0900

texlive-lang (2009-1) experimental; urgency=low

  [ Frank Küster ]
  * New upstream version (pre-release, but not far from) with lots of
    internal changes, hence the upload to experimental. This upstream
    version fixes the following bugs:
  
    - texlive-lang-cyrillic: closes: #448700, ukrhypmp.tex can't be
      processed by luatex due to missing UTF-8 encoding
    - texlive-lang-greek: closes: #450494, missing xgreek package
    - texlive-lang-greek: closes: #457687, package lacks GFS fonts

  * Add versioned Replaces for files moved between binary packages from
    upstream versions 2007 to 2009.

  [ Norbert Preining ]
  * Rename texlive-lang-arab to texlive-lang-arabic

 -- Norbert Preining <preining@debian.org>  Thu, 12 Nov 2009 20:51:42 +0900

texlive-lang (2007.dfsg.3-3) unstable; urgency=low

  * bump standards version to 3.8.0:
    - rename README.Debian-source to README.source an explain how to change
      something using quilt by refering to the quilt README.source
    - add homepage field to control
    - add a patch target to debian/rules
  * add dversionmangle to debian/watch file to ignore the .dfsg.NN suffix

 -- Norbert Preining <preining@debian.org>  Tue, 22 Jul 2008 11:47:25 +0200

texlive-lang (2007.dfsg.3-2) unstable; urgency=low

  * Update location of upstream iso.zip file in uscan watch file (closes:
    #449645), thanks to Raphael Geissert <atomo64@gmail.com> [fk]
  * bump standards version to 3.7.3, no changes needed
  * texlive-lang-cyrillic suggests scalable-cyrfonts-tex (Closes: #459539)
  * add the LPPL to debian/copyright

 -- Norbert Preining <preining@debian.org>  Sat, 19 Apr 2008 20:08:13 +0200

texlive-lang (2007.dfsg.3-1) unstable; urgency=low

  * reinclude csplain, the license has been changed

 -- Norbert Preining <preining@debian.org>  Sun, 09 Sep 2007 10:50:36 +0200

texlive-lang (2007.dfsg.2-1) unstable; urgency=medium

  * Blacklist the files from csplain which are part of Petr Olsak's
    contribution, and create a new upstream tarball.  They have a
    license that makes them undistributable, but because the upstream
    author promised to fix it it got an etch-ignore tag.  Since he didn't
    upload a new version for months, we assume that it is not his
    intention that csplain should be free, at least not in the currently
    available form (closes: #368968) [fk]
  * blacklist literat (texlive-lang-cyrillic) (Closes: #439028) [np]

 -- Norbert Preining <preining@debian.org>  Wed, 05 Sep 2007 16:17:12 +0200



=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-lang-african
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: African scripts
 Support for typesetting some African scripts
 .
 This package includes the following CTAN packages:
  ethiop -- LaTeX macros and fonts for typesetting Amharic.
  ethiop-t1 -- Type 1 versions of Amharic fonts.
  fc -- Fonts for African languages.
  hyphen-ethiopic -- Hyphenation patterns for Ethiopic scripts.

Package: texlive-lang-arabic
Architecture: all
Depends: fonts-hosny-amiri, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Conflicts: texlive-lang-arab, arabtex
Provides: texlive-lang-arab, arabtex
Replaces: texlive-lang-arab, arabtex
Description: TeX Live: Arabic
 Support for typesetting Arabic.
 .
 This package includes the following CTAN packages:
  amiri -- A classical Arabic typeface, Naskh style.
  arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel.
  arabtex -- Macros and fonts for typesetting Arabic.
  bidi -- Support for bidirectional typesetting in plain TeX and LaTeX.
  hyphen-arabic -- (No) Arabic hyphenation patterns.
  hyphen-farsi -- (No) Persian hyphenation patterns.
  persian-bib -- Persian translations of classic BibTeX styles.
  persian-modern -- The "Persian Modern" family of fonts.

Package: texlive-lang-armenian
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Armenian
 Support for typesetting Armenian.
 .

Package: texlive-lang-cjk
Architecture: all
Depends: fonts-ipafont-mincho, fonts-ipaexfont-mincho, texlive-binaries (>= 2012-0), fonts-ipaexfont-gothic, texlive-latex-base (>= 2012.20120516), texlive-doc-zh (>= 2012.20120516), fonts-ipafont-gothic, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Conflicts: okumura-clsfiles, ptex-base, ptex-bin (<< 2011), vfdata-morisawa5, ptex-jisfonts
Recommends: ruby | ruby-interpreter, thailatex, latex-cjk-all (>= 4.6.0+cvs20060714-2)
Provides: okumura-clsfiles, vfdata-morisawa5, ptex-jisfonts
Replaces: mendexk, ptex-bin
Description: TeX Live: Chinese, Japanese, Korean
 CJK (Chinese, Japanese, Korean) macros, fonts, documentation, also Thai
   since there is some overlap in the fonts.
 .
 This package includes the following CTAN packages:
  adobemapping -- Adobe cmap and pdfmapping files
  c90 --
  cns --
  ctex -- LaTeX classes and packages for Chinese typesetting.
  hyphen-chinese -- Chinese pinyin hyphenation patterns.
  ipaex -- IPA and IPAex fonts from Information-technology Promotion Agency,
   Japan.
  japanese -- A substitute for a babel package for Japanese.
  japanese-otf -- Advanced font selection for platex and its friends.
  japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX.
  jfontmaps -- Font maps for Japanese fonts.
  jsclasses -- Classes tailored for use with Japanese.
  luatexja -- Typesest Japanese with lua(la)tex.
  ptex -- A TeX system for publishing in Japanese.
  uhc -- Fonts for the Korean language.
  uptex --
  zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX.
  zhnumber --
  zhspacing -- Spacing for mixed CJK-English documents in XeTeX.

Package: texlive-lang-croatian
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Croatian
 Support for typesetting Croatian.
 .
 This package includes the following CTAN packages:
  hrlatex -- LaTeX support for Croatian documents.
  hyphen-croatian -- Croatian hyphenation patterns.

Package: texlive-lang-cyrillic
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Cyrillic
 Support for typesetting Cyrillic.
 .
 This package includes the following CTAN packages:
  cmcyr -- Computer Modern fonts with cyrillic extensions.
  cyrillic -- Support for Cyrillic fonts in LaTeX.
  cyrillic-bin -- Cyrillic bibtex and makeindex.
  cyrplain --
  disser -- Class and templates for typesetting dissertations in Russian.
  eskd -- Modern Russian typesetting.
  eskdx -- Modern Russian typesetting.
  gost -- BibTeX styles to format according to GOST.
  lcyw -- Make Classic Cyrillic CM fonts accessible in LaTeX.
  lh -- Cyrillic fonts that support LaTeX standard encodings.
  lhcyr -- A non-standard Cyrillic input scheme.
  ruhyphen -- Russian hyphenation.
  russ -- LaTeX in Russian, without babel.
  t2 -- Support for using T2 encoding.
  ukrhyph -- Hyphenation Patterns for Ukrainian.
  hyphen-bulgarian -- Bulgarian hyphenation patterns.
  hyphen-russian -- Russian hyphenation patterns.
  hyphen-ukrainian -- Ukrainian hyphenation patterns.

Package: texlive-lang-czechslovak
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Czech/Slovak
 Support for typesetting Czech/Slovak.
 .
 This package includes the following CTAN packages:
  cs --
  csbulletin -- LaTeX class for articles submitted to the CSTUG Bulletin
   (Zpravodaj).
  cslatex -- LaTeX support for Czech/Slovak typesetting.
  csplain -- Plain TeX support for Czech/Slovak typesetting.
  vlna --
  hyphen-czech -- Czech hyphenation patterns.
  hyphen-slovak -- Slovak hyphenation patterns.

Package: texlive-lang-danish
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Danish
 Support for typesetting Danish.
 .
 This package includes the following CTAN packages:
  hyphen-danish -- Danish hyphenation patterns.

Package: texlive-lang-dutch
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Dutch
 Support for typesetting Dutch.
 .
 This package includes the following CTAN packages:
  hyphen-dutch -- Dutch hyphenation patterns.

Package: texlive-lang-finnish
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Finnish
 Support for typesetting Finnish.
 .
 This package includes the following CTAN packages:
  finbib -- A Finnish version of plain.bst.
  hyphen-finnish -- Finnish hyphenation patterns.

Package: texlive-lang-french
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: French
 Support for typesetting French and Basque.
 .
 This package includes the following CTAN packages:
  aeguill -- Add several kinds of guillemets to the ae fonts.
  basque-date -- Print the date in Basque.
  bib-fr -- French translation of classical BibTeX styles
  bibleref-french -- French translations for bibleref.
  booktabs-fr -- French translation of booktabs documentation.
  droit-fr -- Document class and bibliographic style for French law.
  facture -- Generate an invoice.
  frenchle -- French macros, usable stand-alone or with Babel.
  frletter -- Typeset letters in the French style.
  impnattypo -- Support typography of l'Imprimerie Nationale FranASSaise.
  mafr -- Mathematics in accord with French usage.
  tabvar -- Typesetting tables showing variations of functions.
  tdsfrmath -- Macros for French teachers of mathematics.
  variations -- Typeset tables of variations of functions.
  hyphen-basque -- Basque hyphenation patterns.
  hyphen-french -- French hyphenation patterns.

Package: texlive-lang-german
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: German
 Support for typesetting German.
 .
 This package includes the following CTAN packages:
  bibleref-german -- German adaptation of bibleref.
  dehyph-exptl -- Experimental hyphenation patterns for the German language.
  dhua -- German abbreviations using thin space.
  booktabs-de -- German version of booktabs.
  csquotes-de -- German translation of csquotes documentation.
  etoolbox-de -- German translation of documentation of etoolbox.
  geometry-de -- German translation of the geometry package.
  german -- Support for German typography.
  germbib -- German variants of standard BibTeX styles.
  germkorr -- Change kerning for german quotation marks.
  hausarbeit-jura -- Class for writing "juristiche Hausarbeiten" at German
   Universities.
  microtype-de -- Translation into German of the documentation of microtype.
  r_und_s -- Chemical hazard codes.
  tipa-de -- German translation of tipa documentation.
  umlaute -- German input encodings in LaTeX.
  hyphen-german -- German hyphenation patterns.

Package: texlive-lang-greek
Architecture: all
Depends: fonts-gfs-baskerville, fonts-gfs-porson, texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Greek
 Support for typesetting Greek.
 .
 This package includes the following CTAN packages:
  betababel -- Insert ancient greek text coded in Beta Code.
  bgreek -- Using Beccari's fonts in betacode for classical Greek.
  cbfonts -- Complete set of Greek fonts.
  gfsbaskerville -- A Greek font, from one such by Baskerville.
  gfsporson -- A Greek font, originally from Porson.
  greek-inputenc -- Greek encoding support for inputenc.
  greekdates -- Provides ancient Greek day and month names, dates, etc.
  greektex -- Fonts for typesetting Greek/English documents.
  grverb -- Typesetting Greek verbatim.
  ibycus-babel -- Use the Ibycus 4 Greek font with Babel
  ibygrk -- Fonts and macros to typeset ancient Greek.
  kerkis -- Kerkis (Greek) font family.
  levy -- Fonts for typesetting classical greek.
  lgreek -- LaTeX macros for using Silvio Levy's Greek fonts.
  lgrx --
  mkgrkindex -- Makeindex working with Greek.
  teubner -- Philological typesetting of classical Greek.
  xgreek -- XeLaTeX package for typesetting Greek language documents (beta
   release).
  yannisgr -- Greek fonts by Yannis Haralambous.
  hyphen-greek -- Modern Greek hyphenation patterns.
  hyphen-ancientgreek -- Ancient Greek hyphenation patterns.

Package: texlive-lang-hebrew
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Hebrew
 Support for typesetting Hebrew.
 .
 This package includes the following CTAN packages:
  cjhebrew -- Typeset Hebrew with LaTeX.

Package: texlive-lang-hungarian
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Description: TeX Live: Hungarian
 Support for typesetting Hungarian.
 .
 This package includes the following CTAN packages:
  magyar -- Hungarian language definition for Babel.
  hyphen-hungarian -- Hungarian hyphenation patterns.

Package: texlive-lang-indic
Architecture: all
Depends: python, texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: latex-sanskrit (>= 2.2)
Description: TeX Live: Indic scripts
 Support for typesetting some Indic scripts.
 .
 This package includes the following CTAN packages:
  bangtex -- Writing Bangla and Assamese with LaTeX.
  bengali -- Support for the Bengali language.
  burmese -- Basic Support for Writing Burmese.
  devnag -- Typeset Devanagari.
  ebong -- Utility for writing Bengali in Rapid Roman Format.
  hyphen-indic -- Indic hyphenation patterns.

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-lang
# $Id: rules.in 5480 2012-05-16 01:30:56Z preining $

PACKAGES=texlive-lang-african texlive-lang-arabic texlive-lang-armenian texlive-lang-cjk texlive-lang-croatian texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-danish texlive-lang-dutch texlive-lang-finnish texlive-lang-french texlive-lang-german texlive-lang-greek texlive-lang-hebrew texlive-lang-hungarian texlive-lang-indic texlive-lang-italian texlive-lang-latin texlive-lang-latvian texlive-lang-lithuanian texlive-lang-mongolian texlive-lang-norwegian texlive-lang-other texlive-lang-polish texlive-lang-portuguese texlive-lang-spanish texlive-lang-swedish texlive-lang-tibetan texlive-lang-english texlive-lang-vietnamese
METAPACKAGES=texlive-lang-all ptex-bin

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats} ; \
	done
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  if [ -d debian/$$i.root ] ; then bash debian/merge-dist-tree debian/$$i.root debian/$$i ; fi ; \
	  bash debian/generate-license-file $$i ; \
	  install -D --mode=644 debian/$$i.override debian/$$i/usr/share/lintian/overrides/$$i ; \
	  install -D --mode=755 debian/bug.script debian/$$i/usr/share/bug/$$i/script ; \
	  install -D --mode=644 debian/bug.control debian/$$i/usr/share/bug/$$i/control ; \
	  bash debian/create-doc-links $$i texlive-doc > debian/$$i.links ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	  if [ -r debian/$$i.README ] ; then cat debian/$$i.README > debian/$$i.README.Debian ; fi ; \
	  cat debian/README.Debian >> debian/$$i.README.Debian ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_installdocs -A debian/README.source
	dh_installtex -A --priority=10 --flavor=lsr:full,tree:texlive
	dh_installchangelogs
	bash debian/convert-info-files-to-unix.sh
	bash debian/fix-manpages.sh
	dh_installinfo
	dh_installmime
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
